Bug 1566438 - [DOCS] Document suggestion to Validate 3.7 storage migration the day before the upgrade
Summary: [DOCS] Document suggestion to Validate 3.7 storage migration the day before t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: liujia
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 10:27 UTC by Paul Dwyer
Modified: 2018-08-16 16:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 16:06:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paul Dwyer 2018-04-12 10:27:07 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.9/upgrading/automated_upgrades.html

Section Number and Name: 
Upgrading Cluster (probably both automated and manual upgrade sections)

Describe the issue: 
Engineering have suggested validate 3.7 storage migration the day before the upgrade using
oc adm migrate storage --include=* --loglevel=2

This would ensure some potential problems can be spotted early and can be resolved before going into outage window for upgrade to 3.9.

Suggestions for improvement: 
Include suggestion as per above.

Comment 2 Scott Dodson 2018-04-12 12:40:22 UTC
This is a general suggestion applicable to all upgrades.

Comment 5 Ashley Hardin 2018-08-09 20:11:26 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/11484

Comment 6 Scott Dodson 2018-08-10 15:34:12 UTC
BTW, it's a good idea to run this migration prior to all upgrades whether it's a 3.y.z to 3.y.z+1 upgrade or 3.y 3.y+1 upgrade. Lets add this to 3.9 and 3.10 docs too.

Comment 8 liujia 2018-08-13 05:59:18 UTC
For all, it's better to add "--config /etc/origin/master/admin.kubeconfig" for the command.
For pr 11484, seems no need to specify "3.7 ", refer to other two prs.
For pr 11505, miss "--confirm" for the command and wrong version of "3.7".

Comment 9 Ashley Hardin 2018-08-13 18:30:50 UTC
Thanks! I made some updates. Please review.

Comment 10 liujia 2018-08-14 05:27:54 UTC
LGTM

Comment 11 Ashley Hardin 2018-08-14 16:29:56 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.